# Copyright (c) 2024 University of Piraeus Research Centre
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# SPDX-License-Identifier: Apache-2.0
# 
# Contributors:
#     Panagiotis Karamolegkos (UPRC) - Author

apiVersion: apps/v1
kind: Deployment
metadata:
  name: pdlc-gnn-inference
  namespace: he-codeco-pdlc # The desired namespace
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pdlc-gnn-inference
  template:
    metadata:
      labels:
        app: pdlc-gnn-inference
    spec:
      nodeName: sonem-worker #The node of the Deployment
      serviceAccountName: default
      containers:
      - name: pdlc-gnn-inference
        image: docker.io/hecodeco/pdlc-dl-gnns-stgnn-inference:2.0.1
        # imagePullPolicy: Always
        env:
        - name: NAMESPACE
          value: "he-codeco-pdlc"
        - name: GNN_MODELS_PATH
          value: "/data/GNN/models"
        - name: GNN_OUTPUT
          value: "/data/RL"
        ports:
        - name: app
          containerPort: 5000
          protocol: TCP
        volumeMounts:
        - name: shared-volume
          mountPath: /data
      volumes:
      - name: shared-volume
        persistentVolumeClaim:
          claimName: shared-pvc-ro
---
apiVersion: v1
kind: Service
metadata:
  name: pdlc-gnn-inference-service
  namespace: he-codeco-pdlc # The desired namespace
  labels:
    app: pdlc-gnn-inference
spec:
  type: NodePort
  ports:
  - port: 5000
  selector:
    app: pdlc-gnn-inference

